#!/bin/bash

#--- infos

# 'ln' creates a hard link (faster than copying)
# 'ln -f' same but remove the destination first to avoid conflicts


#--- call standard MKW patch

[[ -s ./post-patch-mkw.sh ]] && . ./post-patch-mkw.sh


#--- sound files

sounddir=./files/sound/strm

# copy sound files: 81 SNES Mario Circuit 3 -> 32 GBA Mario Circuit
ln -f $sounddir/r_SFC_Circuit32_n.brstm $sounddir/STRM_N_WATER_N.brstm
ln -f $sounddir/r_SFC_Circuit32_f.brstm $sounddir/STRM_N_WATER_F.brstm

# copy sound files: 84 N64 Bowser's Castle -> 21 DS Airship Fortress
# this would overwrite slot 11 too

# copy sound files: 54 N64 Mario Raceway -> 62 GCN Yoshi Circuit
ln -f $sounddir/r_64_Circuit32_n.brstm $sounddir/r_AGB_Beach32_n.brstm
ln -f $sounddir/r_64_Circuit32_f.brstm $sounddir/r_AGB_Beach32_f.brstm

# copy sound files: 33 Maple Treeway -> 54 Daisy's Palace RC1
ln -f $sounddir/n_maple_n.brstm $sounddir/r_64_Circuit32_n.brstm
ln -f $sounddir/n_maple_F.brstm $sounddir/r_64_Circuit32_f.brstm

# copy sound files: 72 GBA Bowsers Castle 3 -> 12 SNES Bowser Castle 2
ln -f $sounddir/r_AGB_Kuppa32_n.brstm $sounddir/n_Farm_n.brstm
ln -f $sounddir/r_AGB_Kuppa32_f.brstm $sounddir/n_Farm_F.brstm

# copy sound files: 43 Bowser's Castle -> 42 GCN Bowser Castle RC2.4
ln -f $sounddir/STRM_N_KOOPA_N.brstm $sounddir/STRM_N_RIDGEHIGHWAY_N.brstm
ln -f $sounddir/STRM_N_KOOPA_F.brstm $sounddir/STRM_N_RIDGEHIGHWAY_F.brstm

